Dell E7440 touchpad jumps position

Bug #1513914 reported by Martyn on 2015-11-06
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Ubuntu 15.10 - Dell E7440 touchpad works correctly when freshly started each time; but after some time running the mouse pointer starts to randomly jumps position when I try to use the touchpad.
If I shut down Ubuntu and re-start after about 10 seconds, the problem is temporarily resolved.
Both the USB Mouse and keyboard blue joy-button continue to work correctly while having "jumpy touchpad problem.
Running Ubuntu 15.10 installed version (updated from 15.04 new installation)
I have previously seen the same same problem with Ubuntu 14.04 and 15.04, both live CD and installed versions.
I am new to Linux & forums, so please excuse my lack of knowledge.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-16-generic 4.2.0-16.19
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
ApportVersion: 2.19.1-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: martyn 1217 F.... pulseaudio
 /dev/snd/controlC0: martyn 1217 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Nov 6 17:33:42 2015
HibernationDevice: RESUME=UUID=d0cf60ae-c48f-4267-bb58-af4193cc2e5c
InstallationDate: Installed on 2015-09-23 (44 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: Dell Inc. Latitude E7440
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-16-generic root=UUID=42d901b2-6e43-4fbf-a79f-c6329d47548a ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-16-generic N/A
 linux-backports-modules-4.2.0-16-generic N/A
 linux-firmware 1.149.1
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: Upgraded to wily on 2015-10-22 (14 days ago)
dmi.bios.date: 02/02/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A14
dmi.board.name: 03M26R
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA14:bd02/02/2015:svnDellInc.:pnLatitudeE7440:pvr01:rvnDellInc.:rn03M26R:rvr:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E7440
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Martyn (martyn-berry) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.3 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.3-unstable/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: bios-outdated-a16
Martyn (martyn-berry) wrote :

My E7440 Laptop is 18 months old, I have seen the problem for about a year with 14.0.4, 15.04, and 15.10,
The problem was such a nuisance that I had abandoned both 14.0.4, and 15.04 after trying each version for about 1 week each.

Have tried downloading the mainline kernel according to the link, I think I have done it correctly, but info was not exactly as link.

I downloaded the 3 files and run the command line instruction.
This resulted in3 extra options appearing in the GRUB boot-loader under the Advanced options for Ubuntu tab;
Ubuntu with linux 4.3.0-040300-generic
Ubuntu with linux 4.3.0-040300-generic(upstart)
Ubuntu with linux 4.3.0-040300-generic(recovery mode)

I have used the "Ubuntu with linux 4.3.0-040300-generic" option to start Ubuntu,
The problem still happens the same as before, even when I start up wiith the new kernel,

>
Dell E7440 touchpad works correctly when freshly started each time; but after some time running the mouse pointer starts to randomly jumps position when I try to use the touchpad.
Once it occurs the problem is so bad that cannot use laptop with touchpad and need to shutdown.

If I shut down Ubuntu and re-start after about 10 seconds, the problem is temporarily resolved.
Both the USB Mouse and keyboard blue joy-button continue to work correctly while having "jumpy touchpad problem.
>

More details on problem,
It only seems to effect cursor vertical motion from touchpad control, and has the effect that when trying to place cursor on an object, the cursor initially moves well towards the object, but when I slow down movement to finely position on object, the cursor jumps away in a vertical direction (down if approach from below, upward if approached from above}

Having seen "penalvch" comment on the outdated bios on my laptop, I updated to the latest bios( a-16) three days ago.

The problem is still happening on A-16 bios and using kernel 4.3.0-040300

Martyn (martyn-berry) wrote :

Hello,
Thanks for everyone's support; as a newbie to linux I do appreciate all the help.

Terminal command output, as requested:

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for martyn:
A16
09/01/2015

Martyn

tags: added: latest-bios-a16
removed: bios-outdated-a16
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.3
tags: added: trusty vivid
Martyn (martyn-berry) wrote :

As requested:

martyn@martyn-Latitude-E7440:~$ usb-devices

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 9
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=04.03
S: Manufacturer=Linux 4.3.0-040300-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=03 Cnt=01 Dev#= 2 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0c45 ProdID=64d2 Rev=35.06
S: Manufacturer=CN07YYTT7248739GA3Z2A00
S: Product=Laptop_Integrated_Webcam_HD
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 4
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=04.03
S: Manufacturer=Linux 4.3.0-040300-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=04.03
S: Manufacturer=Linux 4.3.0-040300-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=8000 Rev=00.04
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=02 Prnt=02 Port=04 Cnt=01 Dev#= 4 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0a5c ProdID=5801 Rev=01.01
S: Manufacturer=Broadcom Corp
S: Product=5880
S: SerialNumber=0123456789ABCD
C: #Ifs= 4 Cfg#= 0 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=fe(app. ) Sub=00 Prot=00 Driver=(none)
I: If#= 1 Alt= 0 #EPs= 3 Cls=0b(scard) Sub=00 Prot=00 Driver=(none)
I: If#= 2 Alt= 0 #EPs= 3 Cls=0b(scard) Sub=00 Prot=00 Driver=(none)
I: If#= 3 Alt= 0 #EPs= 1 Cls=fe(app. ) Sub=00 Prot=00 Driver=(none)
martyn@martyn-Latitude-E7440:~$

Martyn

Martyn, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate venue (Dmitry Torokhov CC linux-input)?

Please provide a direct URL to your newly made report when it becomes available so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
importance: Medium → High
status: Incomplete → Triaged
Martyn (martyn-berry) wrote :

Using the instructions in the link above, with Linux kernel 4.3.0-040300-generic, I created the report which I emailed in text only format on 20th November to <email address hidden>, cc <email address hidden>
I have not had any response to this submission.

I have recently checked and the problem still exists on later kernel Linux version 4.4.0-040400rc3-generic
I created a new report as before, which I emailed in text only format on 7th December to <email address hidden>, cc <email address hidden>

Martyn, could you please provide a URL of your posts from the mailing list as previously requested?

tags: added: kernel-bug-exists-upstream-4.4-rc3
removed: kernel-bug-exists-upstream-4.3
Martyn (martyn-berry) wrote :

Christopher,
How do I find the URL to the posts from the mailing list, (as previously requested)?
I was expecting to see a new item in the bugzilla.kernel.org/buglist, and thought that you wanted me to provide a URL to it; but can't see any new entry regarding my report.
Or am I looking in the wrong place for the URL?
Martyn

Martyn, consulting https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1513914/comments/9 :
"Please ensure you post in your Launchpad report a URL of your e-mail from the mailing list found from the mailing list archives[URL]. It can take a day or two for the e-mail to show up to the respective archive. "

[URL] http://vger.kernel.org/vger-lists.html

Martyn (martyn-berry) wrote :

I would like to be able to post the URL, but how do I find it?

I have not had any replies to the two reports which I emailed to <email address hidden> with cc to <email address hidden> (on 20th November for results with kernel 4.3.0-040300-generic) and on 7th December for results with kernel 4.4.0-040400rc3-generic)
Also, I have searched the forum for any posting relating to my problem and not found any.

Which archive at VGER.KERNEL.ORG should I be looking at to find the URL to post?

I have also checked with kernel's 4.4.0-040400rc5-generic and 4.4.0-040400rc7-generic, and the problem does still exist.

tags: added: kernel-bug-exists-upstream-4.4-rc7
removed: kernel-bug-exists-upstream-4.4-rc3
Martyn (martyn-berry) wrote :

Since 6th January, have been checked with latest upstream kernel 4.4.0-040400rc8-generic and the bug still exists.

I have submitted a new report for latest upstream kernel 4.4.0-040400rc8-generic to <email address hidden>, cc <email address hidden>.

I will post URL when I get one.

Martyn

tags: added: kernel-bug-exists-upstream-4.4-rc8
removed: kernel-bug-exists-upstream-4.4-rc7
Martyn (martyn-berry) wrote :

Still happening with the new upstream kernel 4.4.0-040400-generic_4.4.0-040400.201601101930_amd64.deb

Also recently reported by other user on https://bugs.launchpad.net/bugs/1272624.

tags: added: kernel-bug-exists-upstream-4.4
removed: kernel-bug-exists-upstream-4.4-rc8
Martyn (martyn-berry) wrote :

Still happening with 4.5.0rc5;
Will check with 4.5.0 wily release 14/03/2016

tags: added: kernel-bug-exists-upstream-4.5-rc5
removed: kernel-bug-exists-upstream-4.4
tags: added: bios-outdated-a17
removed: latest-bios-a16
Martyn (martyn-berry) wrote :

The problem still exists after the following updates /upgrades:
bios updated to version a17, Ubuntu upgraded to 16.04 LTS, and using upstream kernel V4.6-rc5-wily

Martyn (martyn-berry) wrote :

The response to the above terminal command is:

A17
12/01/2015

Martyn

Martyn (martyn-berry) wrote :

Update, a new version of Dell Latitude E7440 bios(version A18) was released 4th May 2016

Martyn (martyn-berry) wrote :

Now checking with A18 bios (dated 04/28/2016), Ubuntu 16.04 LTS, and Kernel 4.6 rc7;
Will update results

Martyn (martyn-berry) wrote :

The problem still exists when running E7440, A18 bios, Ubuntu 16.04 LTS and Kernel 4.6rc7
Martyn

tags: added: bios-outdated-a18 kernel-bug-exists-upstream-4.6-rc7
removed: bios-outdated-a17 kernel-bug-exists-upstream-4.5-rc5
Martyn (martyn-berry) wrote :

I am using the A18 bios, and the release date according to Dell US website was 04 May 2016, so I think it is the latest bios.

The output of the "sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date" is:

martyn@martyn-Latitude-E7440:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for martyn:
A18
04/28/2016
martyn@martyn-Latitude-E7440:~$

Martyn (martyn-berry) wrote :

By the way, the A18 bios seems to have fixed the problem of not reading SD cards, which was introduced with bios A16 & A17

tags: added: latest-bios-a18
removed: bios-outdated-a18
Martyn (martyn-berry) wrote :

The problem still exists when running E7440, A18 bios, Ubuntu 16.04 LTS and Kernel v4.6-yakkety (2016-06-03 14:14)

I am unable to try with Kernel v4.7rc1-yakkety (2016-05-29 18:30) as this Kernel version fails to complete the boot process (reports UUID xxxx does not exist error)

Martyn

tags: added: kernel-bug-exists-upstream-4.6
removed: kernel-bug-exists-upstream-4.6-rc7
Martyn (martyn-berry) wrote :

The problem still exists when running E7440, A18 bios, Ubuntu 16.04 LTS and Kernel v4.7-rc2-yakkety (2016-06-10 11:30)

tags: added: kernel-bug-exists-upstream-4.7-rc2
removed: kernel-bug-exists-upstream-4.6
Martyn (martyn-berry) wrote :

The problem still exists when running E7440, A18 bios, Ubuntu 16.04LTS with Kernel 4.7.0-040700rc6.201607040332

tags: added: kernel-bug-exists-upstream-4.7-rc6
removed: kernel-bug-exists-upstream-4.7-rc2
Martyn (martyn-berry) wrote :

:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for martyn:
A18
04/28/2016

Martyn (martyn-berry) wrote :

The problem still exists when running E7440, A18 bios, Ubuntu 16.04LTS with Kernel 4.8.1-040801.201610071031.

dmidecode -s bios-release-date
[sudo] password for martyn:
A18
04/28/2016

tags: added: kernel-bug-exists-upstream-4.8.1
removed: kernel-bug-exists-upstream-4.7-rc6
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers